# Edit Contact

Edit address book contact.

Endpoint: POST /api/v1/addressbook/contacts/{id}/proposals
Version: 0.2.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer JWT

## Path parameters:

  - `id` (string, required)
    ID of the address book contact.

## Header parameters:

  - `x-signature` (string)
    Signature of the body. Base64 encoded string. If the request is made programatically by an API user, signing of the request is required and is intended to protect you from malicious backends. `x_signature` is valid for 120 seconds.

  - `x-timestamp` (integer)
    Timestamp of the signature. Integer. Specify an Epoch date. If the request is made programatically by an API user, the timestamp of the request is required and is intended to protect you from replay attacks.

## Request fields (application/json):

  - `name` (string, required)
    The name of the contact.

  - `contact_type` (string, required)
    Enum: "contract", "recipient"

  - `type` (string, required)
    The type of the chain.

  - `chains` (array)
    The chains the contact belongs to. If not provided, the contact will be associated with all chains.

  - `assets_identifiers` (array)
    The assets identifiers of the contact.

  - `assets_identifiers.type` (string, required)
    Aptos asset identifier type.

  - `assets_identifiers.details` (any, required)

  - `assets_identifiers.details.type` (string, required)
    Legacy coin asset identifier type.

  - `assets_identifiers.details.coin_type` (object, required)
    Coin type represents a blockchain legacy coin type.

  - `assets_identifiers.details.coin_type.coin_type_str` (string, required)
    Coin type string representation.

  - `assets_identifiers.details.type` (string, required)
    Aptos asset identifier type.

  - `assets_identifiers.details.type` (string, required)
    New coin asset identifier type.

  - `assets_identifiers.details.new_coin_type` (object, required)
    New coin type represents a blockchain new coin type.

  - `assets_identifiers.details.new_coin_type.metadata_address` (string, required)
    New coin's metadata address.

  - `memo` (string)
    Memo is an additional address feature used for identifying a recipient.

  - `type` (string, required)

  - `tag` (string)
    The XRP Ledger destination tag, a numeric value used for identifying a recipient.

  - `comment` (string)
    Comment is an additional address feature used for identifying a recipient.

## Response 200:

  - `200` (unknown)
    Successful Response

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

  - `system_error_code` (string)
    An additional system error code in Fordefi.

## Response 401:

  - `401` (unknown)
    Unauthorized User

## Response 401 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 403:

  - `403` (unknown)
    Forbidden User

## Response 403 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 408:

  - `408` (unknown)
    Request Timeout

## Response 408 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 422:

  - `422` (unknown)
    Validation Error

## Response 422 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (array, required)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 429:

  - `429` (unknown)
    Rate Limit Exceeded

## Response 500:

  - `500` (unknown)
    Unexpected Error

## Response 500 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

